# Setting the prefix from C-b to C-a
set -g prefix C-a
# Free the original C-b prefix keybinding
unbind C-b

# set delay between prefix and command
set -s escape-time 1

# set the base index for windows to 1 instead of 0
set -g base-index 1

# Reload the file with Prefix r
bind r source-file ~/.tmux.conf \; display "Reloaded!"

# Ensure that we can send C-a to other apps
bind C-a send-prefix

# Split panes with - and |
bind - split-window -h
bind | split-window -v

# Move between panes with Prefix h,j,k,l
bind h select-pane -L
bind j select-pane -D
bind k select-pane -U
bind l select-pane -R

# Set default terminal mode to 256color mode
set -g default-terminal "xterm-256color"

# Disable mouse
set -g mouse off

# Enable vi mode
set-window-option -g mode-keys vi

